[coreboot-gerrit] Change in coreboot[master]: util/gitconfig: Fix too long lines in gitconfig.sh

Alex Thiessen (Code Review) gerrit at coreboot.org
Sun Jan 14 00:31:33 CET 2018


Alex Thiessen has uploaded this change for review. ( https://review.coreboot.org/23248


Change subject: util/gitconfig: Fix too long lines in gitconfig.sh
......................................................................

util/gitconfig: Fix too long lines in gitconfig.sh

Change-Id: Iaff0852259f0a91fb4c906e1a01d77b92f8a49f1
Signed-off-by: Alex Thiessen <alex.thiessen+coreboot at gmail.com>
---
M util/gitconfig/gitconfig.sh
1 file changed, 14 insertions(+), 3 deletions(-)



  git pull ssh://review.coreboot.org:29418/coreboot refs/changes/48/23248/1

diff --git a/util/gitconfig/gitconfig.sh b/util/gitconfig/gitconfig.sh
index 2f96fd4..182689a 100755
--- a/util/gitconfig/gitconfig.sh
+++ b/util/gitconfig/gitconfig.sh
@@ -44,7 +44,18 @@
 		 git config remote.origin.push HEAD:refs/for/master)
 	fi
 done
+
 git config remote.origin.push HEAD:refs/for/master
-git config alias.sup '!git submodule update --remote --rebase && git submodule update --init --checkout'
-git config alias.sup-destroy '!git submodule deinit --force "$(git rev-parse --show-toplevel)"; git submodule init && git submodule update --checkout'
-(git config --includes user.name >/dev/null && git config --includes user.email >/dev/null) || (printf 'Please configure your name and email in git:\n\n git config --global user.name "Your Name Comes Here"\n git config --global user.email your.email at example.com\n'; exit 1)
+git config alias.sup "!git submodule update --remote --rebase \
+&& git submodule update --init --checkout"
+
+git config alias.sup-destroy "!git submodule deinit --force \
+\"\$(git rev-parse --show-toplevel)\"; \
+git submodule init && git submodule update --checkout"
+
+(git config --includes user.name >/dev/null \
+	&& git config --includes user.email >/dev/null) \
+	|| (printf "Please configure your name and email in git:\n\n\
+ git config --global user.name \"Your Name Comes Here\"\n\
+ git config --global user.email your.email at example.com\n"; \
+exit 1)

-- 
To view, visit https://review.coreboot.org/23248
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings

Gerrit-Project: coreboot
Gerrit-Branch: master
Gerrit-MessageType: newchange
Gerrit-Change-Id: Iaff0852259f0a91fb4c906e1a01d77b92f8a49f1
Gerrit-Change-Number: 23248
Gerrit-PatchSet: 1
Gerrit-Owner: Alex Thiessen <alex.thiessen.de+coreboot at gmail.com>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://mail.coreboot.org/pipermail/coreboot-gerrit/attachments/20180113/56c9c53f/attachment.html>


More information about the coreboot-gerrit mailing list